Class ExtensionBinding.MatchCondition.To.Destination.Builder (0.55.0)

public static final class ExtensionBinding.MatchCondition.To.Destination.Builder extends GeneratedMessage.Builder<ExtensionBinding.MatchCondition.To.Destination.Builder> implements ExtensionBinding.MatchCondition.To.DestinationOrBuilder

Describes properties of a single destination.

Protobuf type google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.To.Destination

Static Methods

getDescriptor()

public static final Descriptors.Descriptor getDescriptor()
Returns
Type Description
Descriptor

Methods

addAllHosts(Iterable<? extends ExtensionBinding.MatchCondition.StringMatch> values)

public ExtensionBinding.MatchCondition.To.Destination.Builder addAllHosts(Iterable<? extends ExtensionBinding.MatchCondition.StringMatch> values)

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
values Iterable<? extends com.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch>
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

addAllPaths(Iterable<? extends ExtensionBinding.MatchCondition.StringMatch> values)

public ExtensionBinding.MatchCondition.To.Destination.Builder addAllPaths(Iterable<? extends ExtensionBinding.MatchCondition.StringMatch> values)

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
values Iterable<? extends com.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch>
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

addAllResources(Iterable<? extends ExtensionBinding.MatchCondition.StringMatch> values)

public ExtensionBinding.MatchCondition.To.Destination.Builder addAllResources(Iterable<? extends ExtensionBinding.MatchCondition.StringMatch> values)

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
values Iterable<? extends com.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch>
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

addHosts(ExtensionBinding.MatchCondition.StringMatch value)

public ExtensionBinding.MatchCondition.To.Destination.Builder addHosts(ExtensionBinding.MatchCondition.StringMatch value)

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
value ExtensionBinding.MatchCondition.StringMatch
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

addHosts(ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

public ExtensionBinding.MatchCondition.To.Destination.Builder addHosts(ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
builderForValue ExtensionBinding.MatchCondition.StringMatch.Builder
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

addHosts(int index, ExtensionBinding.MatchCondition.StringMatch value)

public ExtensionBinding.MatchCondition.To.Destination.Builder addHosts(int index, ExtensionBinding.MatchCondition.StringMatch value)

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Parameters
Name Description
index int
value ExtensionBinding.MatchCondition.StringMatch
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

addHosts(int index, ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

public ExtensionBinding.MatchCondition.To.Destination.Builder addHosts(int index, ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Parameters
Name Description
index int
builderForValue ExtensionBinding.MatchCondition.StringMatch.Builder
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

addHostsBuilder()

public ExtensionBinding.MatchCondition.StringMatch.Builder addHostsBuilder()

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
ExtensionBinding.MatchCondition.StringMatch.Builder

addHostsBuilder(int index)

public ExtensionBinding.MatchCondition.StringMatch.Builder addHostsBuilder(int index)

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
index int
Returns
Type Description
ExtensionBinding.MatchCondition.StringMatch.Builder

addPaths(ExtensionBinding.MatchCondition.StringMatch value)

public ExtensionBinding.MatchCondition.To.Destination.Builder addPaths(ExtensionBinding.MatchCondition.StringMatch value)

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
value ExtensionBinding.MatchCondition.StringMatch
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

addPaths(ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

public ExtensionBinding.MatchCondition.To.Destination.Builder addPaths(ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
builderForValue ExtensionBinding.MatchCondition.StringMatch.Builder
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

addPaths(int index, ExtensionBinding.MatchCondition.StringMatch value)

public ExtensionBinding.MatchCondition.To.Destination.Builder addPaths(int index, ExtensionBinding.MatchCondition.StringMatch value)

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Parameters
Name Description
index int
value ExtensionBinding.MatchCondition.StringMatch
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

addPaths(int index, ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

public ExtensionBinding.MatchCondition.To.Destination.Builder addPaths(int index, ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Parameters
Name Description
index int
builderForValue ExtensionBinding.MatchCondition.StringMatch.Builder
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

addPathsBuilder()

public ExtensionBinding.MatchCondition.StringMatch.Builder addPathsBuilder()

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
ExtensionBinding.MatchCondition.StringMatch.Builder

addPathsBuilder(int index)

public ExtensionBinding.MatchCondition.StringMatch.Builder addPathsBuilder(int index)

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
index int
Returns
Type Description
ExtensionBinding.MatchCondition.StringMatch.Builder

addResources(ExtensionBinding.MatchCondition.StringMatch value)

public ExtensionBinding.MatchCondition.To.Destination.Builder addResources(ExtensionBinding.MatchCondition.StringMatch value)

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
value ExtensionBinding.MatchCondition.StringMatch
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

addResources(ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

public ExtensionBinding.MatchCondition.To.Destination.Builder addResources(ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
builderForValue ExtensionBinding.MatchCondition.StringMatch.Builder
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

addResources(int index, ExtensionBinding.MatchCondition.StringMatch value)

public ExtensionBinding.MatchCondition.To.Destination.Builder addResources(int index, ExtensionBinding.MatchCondition.StringMatch value)

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Parameters
Name Description
index int
value ExtensionBinding.MatchCondition.StringMatch
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

addResources(int index, ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

public ExtensionBinding.MatchCondition.To.Destination.Builder addResources(int index, ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Parameters
Name Description
index int
builderForValue ExtensionBinding.MatchCondition.StringMatch.Builder
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

addResourcesBuilder()

public ExtensionBinding.MatchCondition.StringMatch.Builder addResourcesBuilder()

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
ExtensionBinding.MatchCondition.StringMatch.Builder

addResourcesBuilder(int index)

public ExtensionBinding.MatchCondition.StringMatch.Builder addResourcesBuilder(int index)

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
index int
Returns
Type Description
ExtensionBinding.MatchCondition.StringMatch.Builder

build()

public ExtensionBinding.MatchCondition.To.Destination build()
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination

buildPartial()

public ExtensionBinding.MatchCondition.To.Destination buildPartial()
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination

clear()

public ExtensionBinding.MatchCondition.To.Destination.Builder clear()
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder
Overrides

clearHeaderSet()

public ExtensionBinding.MatchCondition.To.Destination.Builder clearHeaderSet()

Optional. A set of HTTP headers to match against. If not specified, requests with any headers are matched.

.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.To.Destination.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

clearHosts()

public ExtensionBinding.MatchCondition.To.Destination.Builder clearHosts()

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

clearPaths()

public ExtensionBinding.MatchCondition.To.Destination.Builder clearPaths()

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

clearResources()

public ExtensionBinding.MatchCondition.To.Destination.Builder clearResources()

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

getDefaultInstanceForType()

public ExtensionBinding.MatchCondition.To.Destination getDefaultInstanceForType()
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination

getDescriptorForType()

public Descriptors.Descriptor getDescriptorForType()
Returns
Type Description
Descriptor
Overrides

getHeaderSet()

public ExtensionBinding.MatchCondition.To.Destination.HeaderSet getHeaderSet()

Optional. A set of HTTP headers to match against. If not specified, requests with any headers are matched.

.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.To.Destination.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.HeaderSet

The headerSet.

getHeaderSetBuilder()

public ExtensionBinding.MatchCondition.To.Destination.HeaderSet.Builder getHeaderSetBuilder()

Optional. A set of HTTP headers to match against. If not specified, requests with any headers are matched.

.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.To.Destination.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.HeaderSet.Builder

getHeaderSetOrBuilder()

public ExtensionBinding.MatchCondition.To.Destination.HeaderSetOrBuilder getHeaderSetOrBuilder()

Optional. A set of HTTP headers to match against. If not specified, requests with any headers are matched.

.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.To.Destination.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.HeaderSetOrBuilder

getHosts(int index)

public ExtensionBinding.MatchCondition.StringMatch getHosts(int index)

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
index int
Returns
Type Description
ExtensionBinding.MatchCondition.StringMatch

getHostsBuilder(int index)

public ExtensionBinding.MatchCondition.StringMatch.Builder getHostsBuilder(int index)

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
index int
Returns
Type Description
ExtensionBinding.MatchCondition.StringMatch.Builder

getHostsBuilderList()

public List<ExtensionBinding.MatchCondition.StringMatch.Builder> getHostsBuilderList()

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
List<Builder>

getHostsCount()

public int getHostsCount()

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
int

getHostsList()

public List<ExtensionBinding.MatchCondition.StringMatch> getHostsList()

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
List<StringMatch>

getHostsOrBuilder(int index)

public ExtensionBinding.MatchCondition.StringMatchOrBuilder getHostsOrBuilder(int index)

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
index int
Returns
Type Description
ExtensionBinding.MatchCondition.StringMatchOrBuilder

getHostsOrBuilderList()

public List<? extends ExtensionBinding.MatchCondition.StringMatchOrBuilder> getHostsOrBuilderList()

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
List<? extends com.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatchOrBuilder>

getPaths(int index)

public ExtensionBinding.MatchCondition.StringMatch getPaths(int index)

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
index int
Returns
Type Description
ExtensionBinding.MatchCondition.StringMatch

getPathsBuilder(int index)

public ExtensionBinding.MatchCondition.StringMatch.Builder getPathsBuilder(int index)

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
index int
Returns
Type Description
ExtensionBinding.MatchCondition.StringMatch.Builder

getPathsBuilderList()

public List<ExtensionBinding.MatchCondition.StringMatch.Builder> getPathsBuilderList()

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
List<Builder>

getPathsCount()

public int getPathsCount()

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
int

getPathsList()

public List<ExtensionBinding.MatchCondition.StringMatch> getPathsList()

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
List<StringMatch>

getPathsOrBuilder(int index)

public ExtensionBinding.MatchCondition.StringMatchOrBuilder getPathsOrBuilder(int index)

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
index int
Returns
Type Description
ExtensionBinding.MatchCondition.StringMatchOrBuilder

getPathsOrBuilderList()

public List<? extends ExtensionBinding.MatchCondition.StringMatchOrBuilder> getPathsOrBuilderList()

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
List<? extends com.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatchOrBuilder>

getResources(int index)

public ExtensionBinding.MatchCondition.StringMatch getResources(int index)

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
index int
Returns
Type Description
ExtensionBinding.MatchCondition.StringMatch

getResourcesBuilder(int index)

public ExtensionBinding.MatchCondition.StringMatch.Builder getResourcesBuilder(int index)

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
index int
Returns
Type Description
ExtensionBinding.MatchCondition.StringMatch.Builder

getResourcesBuilderList()

public List<ExtensionBinding.MatchCondition.StringMatch.Builder> getResourcesBuilderList()

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
List<Builder>

getResourcesCount()

public int getResourcesCount()

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
int

getResourcesList()

public List<ExtensionBinding.MatchCondition.StringMatch> getResourcesList()

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
List<StringMatch>

getResourcesOrBuilder(int index)

public ExtensionBinding.MatchCondition.StringMatchOrBuilder getResourcesOrBuilder(int index)

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
index int
Returns
Type Description
ExtensionBinding.MatchCondition.StringMatchOrBuilder

getResourcesOrBuilderList()

public List<? extends ExtensionBinding.MatchCondition.StringMatchOrBuilder> getResourcesOrBuilderList()

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
List<? extends com.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatchOrBuilder>

hasHeaderSet()

public boolean hasHeaderSet()

Optional. A set of HTTP headers to match against. If not specified, requests with any headers are matched.

.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.To.Destination.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];

Returns
Type Description
boolean

Whether the headerSet field is set.

internalGetFieldAccessorTable()

protected GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()
Returns
Type Description
FieldAccessorTable
Overrides

isInitialized()

public final boolean isInitialized()
Returns
Type Description
boolean
Overrides

mergeFrom(ExtensionBinding.MatchCondition.To.Destination other)

public ExtensionBinding.MatchCondition.To.Destination.Builder mergeFrom(ExtensionBinding.MatchCondition.To.Destination other)
Parameter
Name Description
other ExtensionBinding.MatchCondition.To.Destination
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)

public ExtensionBinding.MatchCondition.To.Destination.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)
Parameters
Name Description
input CodedInputStream
extensionRegistry ExtensionRegistryLite
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder
Overrides
Exceptions
Type Description
IOException

mergeFrom(Message other)

public ExtensionBinding.MatchCondition.To.Destination.Builder mergeFrom(Message other)
Parameter
Name Description
other Message
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder
Overrides

mergeHeaderSet(ExtensionBinding.MatchCondition.To.Destination.HeaderSet value)

public ExtensionBinding.MatchCondition.To.Destination.Builder mergeHeaderSet(ExtensionBinding.MatchCondition.To.Destination.HeaderSet value)

Optional. A set of HTTP headers to match against. If not specified, requests with any headers are matched.

.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.To.Destination.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
value ExtensionBinding.MatchCondition.To.Destination.HeaderSet
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

removeHosts(int index)

public ExtensionBinding.MatchCondition.To.Destination.Builder removeHosts(int index)

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
index int
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

removePaths(int index)

public ExtensionBinding.MatchCondition.To.Destination.Builder removePaths(int index)

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
index int
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

removeResources(int index)

public ExtensionBinding.MatchCondition.To.Destination.Builder removeResources(int index)

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
index int
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

setHeaderSet(ExtensionBinding.MatchCondition.To.Destination.HeaderSet value)

public ExtensionBinding.MatchCondition.To.Destination.Builder setHeaderSet(ExtensionBinding.MatchCondition.To.Destination.HeaderSet value)

Optional. A set of HTTP headers to match against. If not specified, requests with any headers are matched.

.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.To.Destination.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
value ExtensionBinding.MatchCondition.To.Destination.HeaderSet
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

setHeaderSet(ExtensionBinding.MatchCondition.To.Destination.HeaderSet.Builder builderForValue)

public ExtensionBinding.MatchCondition.To.Destination.Builder setHeaderSet(ExtensionBinding.MatchCondition.To.Destination.HeaderSet.Builder builderForValue)

Optional. A set of HTTP headers to match against. If not specified, requests with any headers are matched.

.google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.To.Destination.HeaderSet header_set = 1 [(.google.api.field_behavior) = OPTIONAL];

Parameter
Name Description
builderForValue ExtensionBinding.MatchCondition.To.Destination.HeaderSet.Builder
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

setHosts(int index, ExtensionBinding.MatchCondition.StringMatch value)

public ExtensionBinding.MatchCondition.To.Destination.Builder setHosts(int index, ExtensionBinding.MatchCondition.StringMatch value)

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Parameters
Name Description
index int
value ExtensionBinding.MatchCondition.StringMatch
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

setHosts(int index, ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

public ExtensionBinding.MatchCondition.To.Destination.Builder setHosts(int index, ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

Optional. A list of HTTP Hosts to match against. Limited to 10 hosts. If not specified, any host is allowed. If specified, a match occurs if any of the hosts matches the host value in the request.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch hosts = 3 [(.google.api.field_behavior) = OPTIONAL];

Parameters
Name Description
index int
builderForValue ExtensionBinding.MatchCondition.StringMatch.Builder
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

setPaths(int index, ExtensionBinding.MatchCondition.StringMatch value)

public ExtensionBinding.MatchCondition.To.Destination.Builder setPaths(int index, ExtensionBinding.MatchCondition.StringMatch value)

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Parameters
Name Description
index int
value ExtensionBinding.MatchCondition.StringMatch
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

setPaths(int index, ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

public ExtensionBinding.MatchCondition.To.Destination.Builder setPaths(int index, ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

Optional. A list of paths to match against. Limited to 10 paths. If not specified, any path is allowed.

Note that this path match includes the query parameters. For gRPC services, this should be a fully-qualified name of the form /package.service/method.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch paths = 4 [(.google.api.field_behavior) = OPTIONAL];

Parameters
Name Description
index int
builderForValue ExtensionBinding.MatchCondition.StringMatch.Builder
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

setResources(int index, ExtensionBinding.MatchCondition.StringMatch value)

public ExtensionBinding.MatchCondition.To.Destination.Builder setResources(int index, ExtensionBinding.MatchCondition.StringMatch value)

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Parameters
Name Description
index int
value ExtensionBinding.MatchCondition.StringMatch
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder

setResources(int index, ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

public ExtensionBinding.MatchCondition.To.Destination.Builder setResources(int index, ExtensionBinding.MatchCondition.StringMatch.Builder builderForValue)

Optional. A list of non-empty strings whose value is matched against the resource to which a request is sent (e.g., an Agent in AiApplication). If not specified, any resource is allowed. If specified, a match occurs if any of the resources matches the resource value in the request. Limited to 5 resources. When matching against resources in the AgentRegistry, use the URNs of the registry resources.

repeated .google.cloud.networkservices.v1beta1.ExtensionBinding.MatchCondition.StringMatch resources = 2 [(.google.api.field_behavior) = OPTIONAL];

Parameters
Name Description
index int
builderForValue ExtensionBinding.MatchCondition.StringMatch.Builder
Returns
Type Description
ExtensionBinding.MatchCondition.To.Destination.Builder